Hallo Leute ich habe ein problem und zwar habe ich in meiner plugin.yml irgend ein Fehler, aber ich weiß nicht wo?

...komplette Frage anzeigen

3 Antworten

So wie ich das sehe hast du wohl die Datei falsch codiert, probier mal UTF-8 als Codierung, das sollte funktionieren.

Bluethekiller 30.04.2016, 10:59

geht leider auch nicht hab immer noch den Fehler, aber einen anderen

0
Bluethekiller 30.04.2016, 11:34
@Bluethekiller

der fehler code ist das [11:32:59] [Server thread/ERROR]: Error occurred while enabling Fly v1.1 (Is it up to date?)
java.lang.NullPointerException
at de.Jonas.fly.main.onEnable(main.java:37) ~[?:?]
at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:741) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.Bukkit.reload(Bukkit.java:535) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:627) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:412) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:375) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot-1.8.8.jar:git-Spigot-db6de12-18fbb24]
at java.lang.Thread.run(Unknown Source) [?:1.8.0_77]

0
ChristianPl 30.04.2016, 18:24
@Bluethekiller

Du lädst die Klasse *gamemode* 3 mal 

gamemode gm = new gamemode();

getCommand("gma").setExecutor(gm);

getCommand("gmc").setExecutor(gm);

getCommand("gms").setExecutor(gm);

0
androhecker 30.04.2016, 14:32

Schau einfach immer nach der Zeilenangabe welches Command dort geholt wird, dann steht in der Zeile welches nicht in der Plugin yml ist.

1
androhecker 30.04.2016, 19:26

Das macht nichts, ein Executor kann mehrere Commands haben.

0

Hallo schnelle Hilfe kannst du über Hilfe von Windows finden..Fehler eingeben und suchen lassen. Wenn win nichts findet, einfach unter Google den Fehler eingeben und suchen lassen. Meist ist es ein Löschfehler...darum empfehle ich immer ein Programm das sollche Fehler vermeidet. So was kannst du dir bei Chip.de kostenlos runterladen...man braucht die nicht zu kaufen.

Gruß 

Sneiper72

androhecker 30.04.2016, 10:12

Wenn man keine Ahnung hat, von was der Fragesteller redet sollte man einfach nicht antworten, das hat weder mit Windows noch mit sonst irgendwas in der Richtung zu tun, es geht hier um Java Development.

0

Problem gelöst

Was möchtest Du wissen?